Page MenuHomePhabricator

Move oldwikisource on www.wikisource.org to mul.wikisource.org
Open, Stalled, LowestPublic

Description

Author: morganation1

Description:
"Old Wikisource" at www.wikisource.org would be better served if moved to mul.wikisource.org. "Mul" is the official ISO-639 code for "multiple languages", which is appropriate to this project. This would allow full interwiki linking, easier support from Wikidata, standardisation of URLs, and recognition as an active project. There is informal support for this in the Wikisource community on scattered discussions and the mailing list.

Before having a formal vote on this, however, (which is potentially pointless) I want to know if this action is possible. I was told a bug report would be the way to determine that.

Details

Reference
bz62717

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Easy or not, it should be done, and with high priority, IMHO. Is perhaps simpler to create a new mul.wikisource.org, leaving oldwikisource as "incubator" for languages that haven't a specific project? Ok; but multilingual books are so common, and the need of a "central" wikisource project is so high IMHO, that something has to be done, as soon as possible.

Nahum added a comment.Aug 8 2014, 3:19 PM

There are a number of languages which have no wikisource of their own which are currently served by the old wikisource. They need to be able to add wikidata links. I agree therefore that this should be high priority.

Please note that moving the "Wikisource incubator" to a separate wiki won't help. Wikidata currently does not support putting multiple links to one wiki, there is bug 52971 about that.

Vogone added a comment.Aug 8 2014, 8:18 PM

Consensus would definitely be required. Considering incubator.wikimedia.org, even "incubator.wikisource.org" would seem like a considerable option to me, though I also don't see what the harm with the current address is. Wikidata won't link to "mul" anyway in case Old Wikisource/Beta Wikiversity/Incubator links are finally supported someday.

GOIII added a comment.Aug 9 2014, 2:18 AM

The "harm" is that memory hole ruins it for the rest of the wikisource domains.

Type "wikipedia.org" and "wikisource.org" into your browser's url address field and compare where each takes you.

old.wikisource usurped the normal 'jump-to/land-on' page(s) that every other wiki-project seems to enjoy. And being the dumping ground for "exotic" works to put it mildly, its no wonder most unfamiliar visitors are naturally disposed not utilize the project & move on.

The mul: interwiki now works within the WSes to point to //wikisource.org

(In reply to billinghurst from comment #7)

The mul: interwiki now works within the WSes to point to //wikisource.org

Finally some good news. Anyway this is not really useful if Wikidata still doesn't allow sitelinks to mul:

mxn added a subscriber: mxn.Nov 24 2014, 9:01 PM
Meno25 added a subscriber: Meno25.Jul 11 2015, 8:08 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 11 2015, 8:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 12:38 AM
Koavf added a subscriber: Koavf.Aug 25 2015, 6:10 AM

@Krenair: is community consensus the only obstacle? Should we open some poll to get the consensus?

@Aklapper: so what are the answers to my questions? "Yes"? "No"? "Maybe"?

@Krenair: is community consensus the only obstacle? Should we open some poll to get the consensus?

Community consensus would certainly be needed if it were to be moved, but I don't know enough about the problems involved to say whether it's possible to do or not.

We used to have a redirect from mul.wikisource.org to wikisource.org but it doesn't seem to be working now.

It looks like it was removed intentionally by @faidon in https://github.com/wikimedia/operations-dns/commit/3fb1154f98b2a3a0d76471eebc2473fd52b0abd9#diff-227a32f97573385d08bf644960e284c3 . @faidon Can you explain why mul.wikisource.org was considered a dead subdomain? It was added in T75407

It should not have been removed as it was purposefully added to allow for interlanguage links from the language wikis back to oldwikisource. Please have it added back in. There was a consensus to have it added, and no discussion undertaken back to the community about its removal. :frown:

Koavf added a comment.Aug 25 2015, 2:04 PM

mul.ws has incoming links. It needs to be re-added.

Change 233716 had a related patch set uploaded (by Alex Monk):
Re-add mul.wikisource.org

https://gerrit.wikimedia.org/r/233716

So I think what we need to do now is get the domain set up and working like it was previously for the redirects.
Then to deal with this actual request (moving www.wikisource.org to mul.wikisource.org), someone should start a discussion and gain community consensus. If that succeeds, we should figure out what's needed at the apache level, add the necessary line to multiversion (in mediawiki-config), and finally flip the wgServer etc. variables over to the new domain.

The priority for me was the ability to interlanguage link from Wikisources, and the means to have whatever is required to have wikidata linking. After that I am fairly ambivalent to www <-> mul, to having the nude without the prepend. I will leave the matter to be discussed on mulWS, and to ping the wikis as required once a discussion is flowing.

Change 233716 merged by Dzahn:
Re-add mul.wikisource.org

https://gerrit.wikimedia.org/r/233716

GOIII added a comment.Aug 25 2015, 8:51 PM

"Old Wikisource" at www.wikisource.org would be better served if moved to mul.wikisource.org. "Mul" is the official ISO-639 code for "multiple languages", which is appropriate to this project

First - are we sure mul. behaves like every other ISO-639 language abbreviation in mediawiki? I might be wrong but if memory serves me right, mul. wasn't "working" like we'd expect it to.

Second - wasn't the whole idea behind this primarily the restoration of www.wikisource.org as an independent domain (just like www.wikipedia.org is)?

"Old Wikisource" at www.wikisource.org would be better served if moved to mul.wikisource.org. "Mul" is the official ISO-639 code for "multiple languages", which is appropriate to this project

First - are we sure mul. behaves like every other ISO-639 language abbreviation in mediawiki? I might be wrong but if memory serves me right, mul. wasn't "working" like we'd expect it to.
Second - wasn't the whole idea behind this primarily the restoration of www.wikisource.org as an independent domain (just like www.wikipedia.org is)?

Well, re-reading the task description, the primary objective seems to be limited to providing the Multilingual Wikisource with a language code which works exactly like all others.
I cannot say that "mul" will work for sure, but hey, we have a lot of projects which use completely invented language codes, like "simple" or "be-x-old", so why not "mul"?
Also, it's worth noting that a wiki renaming has been successfully done just recently in T11823 (with some problems which are now being sorted out).

As for having www.wikisource.org work as an independent domain, it will be an obvious (and very recommandable, I think) consequence, but probably it will be better served by opening a separate task (marking the current one as blocking for that).

mxn added a comment.Sep 14 2015, 11:08 AM

mul isn’t invented: it’s one of several special codes in the ISO 639-2 standard.

In T64717#1636748, @mxn wrote:

mul isn’t invented: it’s one of several special codes in the ISO 639-2 standard.

Yes, yes, yes. I never said that. My point is that I see no reasons why a special code like "mul" shouldn't work, because we are already using many codes which are not even included in the ISO standard, and we are not experiencing any problems with them, as far as I know. Then of course I may be wrong about that, but I think we should not be overly cautious.

Luke081515 closed this task as Declined.Feb 2 2016, 12:23 AM

Declined per T124354. There is no consensus for this change yet. Please reopen the task if consensus reached.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 2 2016, 12:23 AM
Luke081515 reopened this task as Open.Feb 2 2016, 12:45 AM
Restricted Application added a project: Operations. · View Herald TranscriptFeb 23 2016, 6:13 PM
Dzahn added a comment.Feb 25 2016, 2:22 AM

I don't see why this is "Traffic". but it's declined anyways

I don't see why this is "Traffic". but it's declined anyways

Why is it declined?

Dzahn added a comment.Feb 25 2016, 3:12 PM

I don't see why this is "Traffic". but it's declined anyways

Why is it declined?

See the comment above mine by Luke081515

"Declined per T124354. There is no consensus for this change yet. Please reopen the task if consensus reached."

OK. I'm opening a formal discussion on the project to gather consensus about the move:

https://wikisource.org/wiki/Wikisource:Scriptorium#Move_www.wikisource.org_to_mul.wikisource.org

I don't see why this is "Traffic". but it's declined anyways

Why is it declined?

See the comment above mine by Luke081515
"Declined per T124354. There is no consensus for this change yet. Please reopen the task if consensus reached."

It's not declined, the closure has been an ill-considered bulk action which also has been almost immediately reverted, which you can also see above your comment.

Oh, i didn't see the revert, you are absolutely right. I did not mean to add confusion.

Dzahn removed a subscriber: Dzahn.Feb 25 2016, 11:37 PM
TTO updated the task description. (Show Details)
TTO edited subscribers, added: TTO; removed: wikibugs-l-list.
jberkel added a subscriber: jberkel.Mar 4 2016, 1:54 AM
Dzahn added a comment.Mar 10 2016, 7:35 PM

since www.wikisource.org and mul.wikisource.org both already exist in DNS and that seemed to be the only thing that needs operations, i'm removing the DNS and operations tags.

Restricted Application added a project: Operations. · View Herald TranscriptMar 10 2016, 7:36 PM

Current state of Move www.wikisource.org to mul.wikisource.org: 10 support, 2 oppose (one of which qualified as "weak oppose"). Does this count as consensus or do we need more votes?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 4:26 PM

I wonder whether @Deskana has any comment to add as the situation with regards to portal searches that the Discovery team has been working upon, and has identified issues for www.wikisource and the deployment of the portal search. My understanding is that the move would free up the portal for searching and other development that is used at other sisters. (Of course, I may be misunderstanding)

Thanks for pinging me, @Billinghurst. I'd be happy to comment.

The Wikipedia portal at www.wikipedia.org sees quite a bit of traffic (~14 million daily page views), primarily due to things like browser bookmarks and how many random people know the name Wikipedia. I don't have the data, but I doubt that www.wikisource.org gets nearly as many page views. I personally think the potential rewards are not worth the effort here at all, but this isn't my decision, so I won't decline the task. :-)

Nikki added a subscriber: Nikki.Dec 6 2016, 3:51 PM
Liuxinyu970226 changed the task status from Open to Stalled.Apr 30 2017, 5:13 AM

per krinkle

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptJan 29 2018, 4:33 AM
jhsoby added a subscriber: jhsoby.Aug 17 2018, 7:59 PM
Meno25 removed a subscriber: Meno25.Nov 23 2018, 7:54 AM
Liuxinyu970226 edited projects, added Wiki-Setup; removed Wiki-Setup (Rename).
Liuxinyu970226 moved this task from Stalled / Needs Input to Rename on the Wiki-Setup board.
Liuxinyu970226 edited projects, added Wiki-Setup (Rename); removed Wiki-Setup.

well, just ignore those misconfigurations, my mouse has problem recently.